## do_dssp

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

do_dssp reads a trajectory file and computes the secondary structure for each time frame calling the dssp program. If you do not have the dssp program, get it. do_dssp assumes that the dssp executable is /usr/local/bin/dssp. If this is not the case, then you should set an environment variable DSSP pointing to the dssp executable, e.g.:

`setenv DSSP /opt/dssp/bin/dssp`

The structure assignment for each residue and time is written to an `.xpm` matrix file. This file can be visualized with for instance `xv` and can be converted to postscript with `xpm2ps`. The number of residues with each secondary structure type and the total secondary structure (`-sss`) count as a function of time are also written to file (`-sc`).

Solvent accessible surface (SAS) per residue can be calculated, both in absolute values (A^2) and in fractions of the maximal accessible surface of a residue. The maximal accessible surface is defined as the accessible surface of a residue in a chain of glycines. Note that the program `g_sas` can also compute SAS and that is more efficient.

Finally, this program can dump the secondary structure in a special file `ssdump.dat` for usage in the program `g_chi`. Together these two programs can be used to analyze dihedral properties as a function of secondary structure type.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-ssdump` | `ssdump.dat` | Output, Opt. | Generic data file
`-map` | `ss.map` | Input, Lib. | File that maps matrix data to colors
`-o` | `ss.xpm` | Output | X PixMap compatible matrix file
`-sc` | `scount.xvg` | Output | xvgr/xmgr file
`-a` | `area.xpm` | Output, Opt. | X PixMap compatible matrix file
`-ta` | `totarea.xvg` | Output, Opt. | xvgr/xmgr file
`-aa` | `averarea.xvg` | Output, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-tu` | enum | `ps` | Time unit: `ps`, `fs`, `ns`, `us`, `ms`, `s`, `m` or `h`
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-sss` | string | `HEBT` | Secondary structures for structure count

- The program is very slow

http://www.gromacs.org
gromacs@gromacs.org